import { OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { StiToolboxService } from "../../../services/sti-toolbox.service";
import * as i0 from "@angular/core";
export declare class StiFormsTreeItemComponent implements OnInit, OnDestroy {
    model: StiModelService;
    toolboxService: StiToolboxService;
    item: any;
    index: number;
    showTree: boolean;
    showInnerTree: boolean;
    get innerItems(): any[];
    get isFormElement(): boolean;
    get isPageElement(): boolean;
    hasSelectedComponent(element: any): boolean;
    get isLastIndex(): boolean;
    showInnerComponents(): boolean;
    selectItem(): void;
    scrollToElement(): void;
    isCurrentSelectedItem(): boolean;
    getItemLabel(): any;
    getIconSrc(): any;
    constructor(model: StiModelService, toolboxService: StiToolboxService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFormsTreeItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiFormsTreeItemComponent, "sti-forms-tree-item", never, { "item": { "alias": "item"; "required": false; }; "index": { "alias": "index"; "required": false; }; "showTree": { "alias": "showTree"; "required": false; }; }, {}, never, never, false, never>;
}
